/****************************************************************************************
 * 项目用途：演示外部晶振和内部晶振的用法。
 * 文件名: main.c
 * 项目名: KF8A100FTN_OSC
 * 版 本: v1.0
 * 日 期: 2019年08月09日 09时58分23秒
 * 作 者: charles_cai
 * 功能 ：演示外部晶振的用法，配置使用外部晶振，使能双速启动模式，使能外部晶振故障检测。
 * 	  	 如果外部晶振故障或不接，默认使用内部高频晶振替代。程序运行后，如果判断到时钟源为外部晶振则点亮LED3。
 * 	  	 内部晶振为时钟源则熄灭LED3。
 * 
 ****************************************************************************************/
#include"main.h"

#define LED3 P3LR0
#define LED2 P3LR1

//主函数
void main()
{
	Init_osc();
	Init_GPIO();//如果要使用外部晶振，则需要把晶振引脚P05、P04配置为输入模式。
	LED2 =1;
	while(1)
	{
		if(SCF1)//如果时钟源使用的是外部晶振
		{
			LED3 =1;
		}
		else//如果是内部晶振
		{
			LED3 =0;
		}
	}
}
//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{

}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
